
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

    <title>open_viewmin.nematic.nematic &#8212; open-ViewMin  documentation</title>
    
  <!-- Loaded before other Sphinx assets -->
  <link href="../../../../_static/styles/theme.css?digest=1999514e3f237ded88cf" rel="stylesheet">
<link href="../../../../_static/styles/pydata-sphinx-theme.css?digest=1999514e3f237ded88cf" rel="stylesheet">

    
  <link rel="stylesheet"
    href="../../../../_static/vendor/fontawesome/5.13.0/css/all.min.css">
  <link rel="preload" as="font" type="font/woff2" crossorigin
    href="../../../../_static/vendor/fontawesome/5.13.0/webfonts/fa-solid-900.woff2">
  <link rel="preload" as="font" type="font/woff2" crossorigin
    href="../../../../_static/vendor/fontawesome/5.13.0/webfonts/fa-brands-400.woff2">

    <link rel="stylesheet" type="text/css" href="../../../../_static/pygments.css" />
    <link rel="stylesheet" href="../../../../_static/styles/sphinx-book-theme.css?digest=62ba249389abaaa9ffc34bf36a076bdc1d65ee18" type="text/css" />
    <link rel="stylesheet" type="text/css" href="../../../../_static/graphviz.css" />
    
  <!-- Pre-loaded scripts that we'll load fully later -->
  <link rel="preload" as="script" href="../../../../_static/scripts/pydata-sphinx-theme.js?digest=1999514e3f237ded88cf">

    <script data-url_root="../../../../" id="documentation_options" src="../../../../_static/documentation_options.js"></script>
    <script src="../../../../_static/jquery.js"></script>
    <script src="../../../../_static/underscore.js"></script>
    <script src="../../../../_static/doctools.js"></script>
    <script src="../../../../_static/scripts/sphinx-book-theme.js?digest=f31d14ad54b65d19161ba51d4ffff3a77ae00456"></script>
    <link rel="index" title="Index" href="../../../../genindex.html" />
    <link rel="search" title="Search" href="../../../../search.html" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="docsearch:language" content="None">
    

    <!-- Google Analytics -->
    
  </head>
  <body data-spy="scroll" data-target="#bd-toc-nav" data-offset="60">
<!-- Checkboxes to toggle the left sidebar -->
<input type="checkbox" class="sidebar-toggle" name="__navigation" id="__navigation" aria-label="Toggle navigation sidebar">
<label class="overlay overlay-navbar" for="__navigation">
    <div class="visually-hidden">Toggle navigation sidebar</div>
</label>
<!-- Checkboxes to toggle the in-page toc -->
<input type="checkbox" class="sidebar-toggle" name="__page-toc" id="__page-toc" aria-label="Toggle in-page Table of Contents">
<label class="overlay overlay-pagetoc" for="__page-toc">
    <div class="visually-hidden">Toggle in-page Table of Contents</div>
</label>
<!-- Headers at the top -->
<div class="announcement header-item noprint"></div>
<div class="header header-item noprint"></div>

    
    <div class="container-fluid" id="banner"></div>

    

    <div class="container-xl">
      <div class="row">
          
<!-- Sidebar -->
<div class="bd-sidebar noprint" id="site-navigation">
    <div class="bd-sidebar__content">
        <div class="bd-sidebar__top"><div class="navbar-brand-box">
    <a class="navbar-brand text-wrap" href="../../../../index.html">
      
      
      
      <h1 class="site-logo" id="site-title">open-ViewMin  documentation</h1>
      
    </a>
</div><form class="bd-search d-flex align-items-center" action="../../../../search.html" method="get">
  <i class="icon fas fa-search"></i>
  <input type="search" class="form-control" name="q" id="search-input" placeholder="Search the docs ..." aria-label="Search the docs ..." autocomplete="off" >
</form><nav class="bd-links" id="bd-docs-nav" aria-label="Main">
    <div class="bd-toc-item active">
        <ul class="current nav bd-sidenav">
 <li class="toctree-l1">
  <a class="reference internal" href="../../../../readme.html">
   Overview
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="../../../../filters-tree.html">
   Filters tree
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="../../../../calculations.html">
   Calculations
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="../../../../GUI-reference.html">
   GUI Reference
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="../../../../LICENSE.html">
   License
  </a>
 </li>
 <li class="toctree-l1 current active has-children">
  <a class="reference internal" href="../../../index.html">
   API Reference
  </a>
  <input checked="" class="toctree-checkbox" id="toctree-checkbox-1" name="toctree-checkbox-1" type="checkbox"/>
  <label for="toctree-checkbox-1">
   <i class="fas fa-chevron-down">
   </i>
  </label>
  <ul class="current">
   <li class="toctree-l2 current active has-children">
    <a class="reference internal" href="../../index.html">
     <code class="xref py py-mod docutils literal notranslate">
      <span class="pre">
       open_viewmin
      </span>
     </code>
    </a>
    <input checked="" class="toctree-checkbox" id="toctree-checkbox-2" name="toctree-checkbox-2" type="checkbox"/>
    <label for="toctree-checkbox-2">
     <i class="fas fa-chevron-down">
     </i>
    </label>
    <ul class="current">
     <li class="toctree-l3 has-children">
      <a class="reference internal" href="../../filter_tree_plot/index.html">
       <code class="xref py py-mod docutils literal notranslate">
        <span class="pre">
         open_viewmin.filter_tree_plot
        </span>
       </code>
      </a>
      <input class="toctree-checkbox" id="toctree-checkbox-3" name="toctree-checkbox-3" type="checkbox"/>
      <label for="toctree-checkbox-3">
       <i class="fas fa-chevron-down">
       </i>
      </label>
      <ul>
       <li class="toctree-l4">
        <a class="reference internal" href="../../filter_tree_plot/filters/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot.filters
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4">
        <a class="reference internal" href="../../filter_tree_plot/utilities/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot.utilities
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4">
        <a class="reference internal" href="../../filter_tree_plot/widgets/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot.widgets
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4">
        <a class="reference internal" href="../../filter_tree_plot/filter_formulas/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot.filter_formulas
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4">
        <a class="reference internal" href="../../filter_tree_plot/filter_tree_plot/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot.filter_tree_plot
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4">
        <a class="reference internal" href="../../filter_tree_plot/settings/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot.settings
          </span>
         </code>
        </a>
       </li>
      </ul>
     </li>
     <li class="toctree-l3 has-children">
      <a class="reference internal" href="../../filter_tree_plot_Qt/index.html">
       <code class="xref py py-mod docutils literal notranslate">
        <span class="pre">
         open_viewmin.filter_tree_plot_Qt
        </span>
       </code>
      </a>
      <input class="toctree-checkbox" id="toctree-checkbox-4" name="toctree-checkbox-4" type="checkbox"/>
      <label for="toctree-checkbox-4">
       <i class="fas fa-chevron-down">
       </i>
      </label>
      <ul>
       <li class="toctree-l4">
        <a class="reference internal" href="../../filter_tree_plot_Qt/menus/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot_Qt.menus
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4">
        <a class="reference internal" href="../../filter_tree_plot_Qt/widgets_Qt/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot_Qt.widgets_Qt
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4">
        <a class="reference internal" href="../../filter_tree_plot_Qt/filter_tree_plot_Qt/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4">
        <a class="reference internal" href="../../filter_tree_plot_Qt/settings_Qt/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot_Qt.settings_Qt
          </span>
         </code>
        </a>
       </li>
      </ul>
     </li>
     <li class="toctree-l3 current active has-children">
      <a class="reference internal" href="../index.html">
       <code class="xref py py-mod docutils literal notranslate">
        <span class="pre">
         open_viewmin.nematic
        </span>
       </code>
      </a>
      <input checked="" class="toctree-checkbox" id="toctree-checkbox-5" name="toctree-checkbox-5" type="checkbox"/>
      <label for="toctree-checkbox-5">
       <i class="fas fa-chevron-down">
       </i>
      </label>
      <ul class="current">
       <li class="toctree-l4">
        <a class="reference internal" href="../jones/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.nematic.jones
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4 current active">
        <a class="current reference internal" href="#">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.nematic.nematic
          </span>
         </code>
        </a>
       </li>
      </ul>
     </li>
     <li class="toctree-l3">
      <a class="reference internal" href="../../open_viewmin/index.html">
       <code class="xref py py-mod docutils literal notranslate">
        <span class="pre">
         open_viewmin.open_viewmin
        </span>
       </code>
      </a>
     </li>
    </ul>
   </li>
  </ul>
 </li>
</ul>

    </div>
</nav></div>
        <div class="bd-sidebar__bottom">
             <!-- To handle the deprecated key -->
            
            <div class="navbar_extra_footer">
            Theme by the <a href="https://ebp.jupyterbook.org">Executable Book Project</a>
            </div>
            
        </div>
    </div>
    <div id="rtd-footer-container"></div>
</div>


          


          
<!-- A tiny helper pixel to detect if we've scrolled -->
<div class="sbt-scroll-pixel-helper"></div>
<!-- Main content -->
<div class="col py-0 content-container">
    
    <div class="header-article row sticky-top noprint">
        



<div class="col py-1 d-flex header-article-main">
    <div class="header-article__left">
        
        <label for="__navigation"
  class="headerbtn"
  data-toggle="tooltip"
data-placement="right"
title="Toggle navigation"
>
  

<span class="headerbtn__icon-container">
  <i class="fas fa-bars"></i>
  </span>

</label>

        
    </div>
    <div class="header-article__right">
<button onclick="toggleFullScreen()"
  class="headerbtn"
  data-toggle="tooltip"
data-placement="bottom"
title="Fullscreen mode"
>
  

<span class="headerbtn__icon-container">
  <i class="fas fa-expand"></i>
  </span>

</button>

<div class="menu-dropdown menu-dropdown-download-buttons">
  <button class="headerbtn menu-dropdown__trigger"
      aria-label="Download this page">
      <i class="fas fa-download"></i>
  </button>
  <div class="menu-dropdown__content">
    <ul>
      <li>
        <a href="../../../../_sources/api/open_viewmin/nematic/nematic/index.rst.txt"
   class="headerbtn"
   data-toggle="tooltip"
data-placement="left"
title="Download source file"
>
  

<span class="headerbtn__icon-container">
  <i class="fas fa-file"></i>
  </span>
<span class="headerbtn__text-container">.rst</span>
</a>

      </li>
      
      <li>
        
<button onclick="printPdf(this)"
  class="headerbtn"
  data-toggle="tooltip"
data-placement="left"
title="Print to PDF"
>
  

<span class="headerbtn__icon-container">
  <i class="fas fa-file-pdf"></i>
  </span>
<span class="headerbtn__text-container">.pdf</span>
</button>

      </li>
      
    </ul>
  </div>
</div>
<label for="__page-toc"
  class="headerbtn headerbtn-page-toc"
  
>
  

<span class="headerbtn__icon-container">
  <i class="fas fa-list"></i>
  </span>

</label>

    </div>
</div>

<!-- Table of contents -->
<div class="col-md-3 bd-toc show noprint">
    <div class="tocsection onthispage pt-5 pb-3">
        <i class="fas fa-list"></i> Contents
    </div>
    <nav id="bd-toc-nav" aria-label="Page">
        <ul class="visible nav section-nav flex-column">
 <li class="toc-h2 nav-item toc-entry">
  <a class="reference internal nav-link" href="#module-contents">
   Module Contents
  </a>
  <ul class="nav section-nav flex-column">
   <li class="toc-h3 nav-item toc-entry">
    <a class="reference internal nav-link" href="#classes">
     Classes
    </a>
    <ul class="nav section-nav flex-column">
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlot">
       NematicPlot
      </a>
      <ul class="nav section-nav flex-column">
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlot._init_procedures_after_data_import">
         _init_procedures_after_data_import
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlot.auto_setup">
         auto_setup
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlot.finish_setup_calculate_menu">
         finish_setup_calculate_menu
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlot.setup_defects">
         setup_defects
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlot.setup_director">
         setup_director
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlot.show_jones">
         show_jones
        </a>
       </li>
      </ul>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt">
       NematicPlotNoQt
      </a>
      <ul class="nav section-nav flex-column">
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.Q33_from_Q5">
         Q33_from_Q5
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.Q_from_n">
         Q_from_n
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.analyze_disclinations">
         analyze_disclinations
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.auto_setup">
         auto_setup
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.calculate_D_tensor">
         calculate_D_tensor
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.calculate_Frank_energy_comps">
         calculate_Frank_energy_comps
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.calculate_Westin_metrics">
         calculate_Westin_metrics
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.calculate_chi_tensor">
         calculate_chi_tensor
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.create_fullmesh">
         create_fullmesh
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.director_data_import">
         director_data_import
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.legacy_Qmin_import">
         legacy_Qmin_import
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.n_from_Q">
         n_from_Q
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.post_init">
         post_init
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.pre_init">
         pre_init
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.set_Q">
         set_Q
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.set_director">
         set_director
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.set_q0">
         set_q0
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.setup_boundaries">
         setup_boundaries
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.setup_defects">
         setup_defects
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.setup_director">
         setup_director
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.show_jones">
         show_jones
        </a>
       </li>
      </ul>
     </li>
    </ul>
   </li>
  </ul>
 </li>
</ul>

    </nav>
</div>
    </div>
    <div class="article row">
        <div class="col pl-md-3 pl-lg-5 content-container">
            <!-- Table of contents that is only displayed when printing the page -->
            <div id="jb-print-docs-body" class="onlyprint">
                <h1>open_viewmin.nematic.nematic</h1>
                <!-- Table of contents -->
                <div id="print-main-content">
                    <div id="jb-print-toc">
                        
                        <div>
                            <h2> Contents </h2>
                        </div>
                        <nav aria-label="Page">
                            <ul class="visible nav section-nav flex-column">
 <li class="toc-h2 nav-item toc-entry">
  <a class="reference internal nav-link" href="#module-contents">
   Module Contents
  </a>
  <ul class="nav section-nav flex-column">
   <li class="toc-h3 nav-item toc-entry">
    <a class="reference internal nav-link" href="#classes">
     Classes
    </a>
    <ul class="nav section-nav flex-column">
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlot">
       NematicPlot
      </a>
      <ul class="nav section-nav flex-column">
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlot._init_procedures_after_data_import">
         _init_procedures_after_data_import
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlot.auto_setup">
         auto_setup
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlot.finish_setup_calculate_menu">
         finish_setup_calculate_menu
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlot.setup_defects">
         setup_defects
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlot.setup_director">
         setup_director
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlot.show_jones">
         show_jones
        </a>
       </li>
      </ul>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt">
       NematicPlotNoQt
      </a>
      <ul class="nav section-nav flex-column">
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.Q33_from_Q5">
         Q33_from_Q5
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.Q_from_n">
         Q_from_n
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.analyze_disclinations">
         analyze_disclinations
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.auto_setup">
         auto_setup
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.calculate_D_tensor">
         calculate_D_tensor
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.calculate_Frank_energy_comps">
         calculate_Frank_energy_comps
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.calculate_Westin_metrics">
         calculate_Westin_metrics
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.calculate_chi_tensor">
         calculate_chi_tensor
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.create_fullmesh">
         create_fullmesh
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.director_data_import">
         director_data_import
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.legacy_Qmin_import">
         legacy_Qmin_import
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.n_from_Q">
         n_from_Q
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.post_init">
         post_init
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.pre_init">
         pre_init
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.set_Q">
         set_Q
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.set_director">
         set_director
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.set_q0">
         set_q0
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.setup_boundaries">
         setup_boundaries
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.setup_defects">
         setup_defects
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.setup_director">
         setup_director
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.show_jones">
         show_jones
        </a>
       </li>
      </ul>
     </li>
    </ul>
   </li>
  </ul>
 </li>
</ul>

                        </nav>
                    </div>
                </div>
            </div>
            <main id="main-content" role="main">
                
              <div>
                
  <section id="module-open_viewmin.nematic.nematic">
<span id="open-viewmin-nematic-nematic"></span><h1><a class="reference internal" href="#module-open_viewmin.nematic.nematic" title="open_viewmin.nematic.nematic"><code class="xref py py-mod docutils literal notranslate"><span class="pre">open_viewmin.nematic.nematic</span></code></a><a class="headerlink" href="#module-open_viewmin.nematic.nematic" title="Permalink to this headline">#</a></h1>
<p>Create plotter classes specific to nematic liquid crystals visualization</p>
<section id="module-contents">
<h2>Module Contents<a class="headerlink" href="#module-contents" title="Permalink to this headline">#</a></h2>
<section id="classes">
<h3>Classes<a class="headerlink" href="#classes" title="Permalink to this headline">#</a></h3>
<table class="autosummary longtable table autosummary">
<colgroup>
<col style="width: 10%" />
<col style="width: 90%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><a class="reference internal" href="#open_viewmin.nematic.nematic.NematicPlot" title="open_viewmin.nematic.nematic.NematicPlot"><code class="xref py py-obj docutils literal notranslate"><span class="pre">NematicPlot</span></code></a></p></td>
<td><p>Implement some PyVista functionality, with filter trees, in the PyVistaQt</p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="#open_viewmin.nematic.nematic.NematicPlotNoQt" title="open_viewmin.nematic.nematic.NematicPlotNoQt"><code class="xref py py-obj docutils literal notranslate"><span class="pre">NematicPlotNoQt</span></code></a></p></td>
<td><p>Plotter class specific to nematic liquid crystals visualization</p></td>
</tr>
</tbody>
</table>
<dl class="py class">
<dt class="sig sig-object py" id="open_viewmin.nematic.nematic.NematicPlot">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">open_viewmin.nematic.nematic.</span></span><span class="sig-name descname"><span class="pre">NematicPlot</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">filenames</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">q0</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">0</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">user_settings</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">data_format</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">'open-Qmin'</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">sep</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">'\t'</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">reader</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">ovm_utilities.fast_import</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">theme</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">do_auto_setup</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">True</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">dims</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">data_stride</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">1</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.nematic.NematicPlot" title="Permalink to this definition">#</a></dt>
<dd><p>Bases: <a class="reference internal" href="../../filter_tree_plot_Qt/filter_tree_plot_Qt/index.html#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt" title="open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt"><code class="xref py py-obj docutils literal notranslate"><span class="pre">open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt</span></code></a>, <a class="reference internal" href="#open_viewmin.nematic.nematic.NematicPlotNoQt" title="open_viewmin.nematic.nematic.NematicPlotNoQt"><code class="xref py py-obj docutils literal notranslate"><span class="pre">NematicPlotNoQt</span></code></a></p>
<p>Implement some PyVista functionality, with filter trees, in the PyVistaQt
GUI</p>
<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.nematic.nematic.NematicPlot._init_procedures_after_data_import">
<span class="sig-name descname"><span class="pre">_init_procedures_after_data_import</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.nematic.NematicPlot._init_procedures_after_data_import" title="Permalink to this definition">#</a></dt>
<dd><p>Initialization steps that can be carried out only after some data
is imported</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.nematic.nematic.NematicPlot.auto_setup">
<span class="sig-name descname"><span class="pre">auto_setup</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.nematic.NematicPlot.auto_setup" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.nematic.nematic.NematicPlot.finish_setup_calculate_menu">
<span class="sig-name descname"><span class="pre">finish_setup_calculate_menu</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.nematic.NematicPlot.finish_setup_calculate_menu" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.nematic.nematic.NematicPlot.setup_defects">
<span class="sig-name descname"><span class="pre">setup_defects</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.nematic.NematicPlot.setup_defects" title="Permalink to this definition">#</a></dt>
<dd><p>Isosurface (with single value) of uniaxial order to visualize defects</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.nematic.nematic.NematicPlot.setup_director">
<span class="sig-name descname"><span class="pre">setup_director</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.nematic.NematicPlot.setup_director" title="Permalink to this definition">#</a></dt>
<dd><p>Glyph representation of director on a plane controlled by a plane widget</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.nematic.nematic.NematicPlot.show_jones">
<span class="sig-name descname"><span class="pre">show_jones</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.nematic.NematicPlot.show_jones" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="open_viewmin.nematic.nematic.NematicPlotNoQt">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">open_viewmin.nematic.nematic.</span></span><span class="sig-name descname"><span class="pre">NematicPlotNoQt</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">filenames</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">q0</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">0</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">user_settings</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">data_format</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">'open-Qmin'</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">sep</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">'\t'</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">reader</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">ovm_utilities.fast_import</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">theme</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">do_auto_setup</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">True</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.nematic.NematicPlotNoQt" title="Permalink to this definition">#</a></dt>
<dd><p>Bases: <a class="reference internal" href="../../filter_tree_plot/filter_tree_plot/index.html#open_viewmin.filter_tree_plot.filter_tree_plot.FilterTreePlot" title="open_viewmin.filter_tree_plot.filter_tree_plot.FilterTreePlot"><code class="xref py py-obj docutils literal notranslate"><span class="pre">open_viewmin.filter_tree_plot.filter_tree_plot.FilterTreePlot</span></code></a></p>
<p>Plotter class specific to nematic liquid crystals visualization</p>
<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.nematic.nematic.NematicPlotNoQt.Q33_from_Q5">
<em class="property"><span class="pre">static</span><span class="w"> </span></em><span class="sig-name descname"><span class="pre">Q33_from_Q5</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">Q5</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.Q33_from_Q5" title="Permalink to this definition">#</a></dt>
<dd><p>Convert 5-component Q-tensor information to 3x3 matrix</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.nematic.nematic.NematicPlotNoQt.Q_from_n">
<em class="property"><span class="pre">static</span><span class="w"> </span></em><span class="sig-name descname"><span class="pre">Q_from_n</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">director_data</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.Q_from_n" title="Permalink to this definition">#</a></dt>
<dd><p>Create Q-tensor array from director data assuming S_0=1</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.nematic.nematic.NematicPlotNoQt.analyze_disclinations">
<span class="sig-name descname"><span class="pre">analyze_disclinations</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">defects_mesh_name</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">'defects'</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">n_centroids</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">80</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">n_samples_circuit</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">16</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.analyze_disclinations" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.nematic.nematic.NematicPlotNoQt.auto_setup">
<span class="sig-name descname"><span class="pre">auto_setup</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.auto_setup" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.nematic.nematic.NematicPlotNoQt.calculate_D_tensor">
<span class="sig-name descname"><span class="pre">calculate_D_tensor</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.calculate_D_tensor" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.nematic.nematic.NematicPlotNoQt.calculate_Frank_energy_comps">
<span class="sig-name descname"><span class="pre">calculate_Frank_energy_comps</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.calculate_Frank_energy_comps" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.nematic.nematic.NematicPlotNoQt.calculate_Westin_metrics">
<span class="sig-name descname"><span class="pre">calculate_Westin_metrics</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.calculate_Westin_metrics" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.nematic.nematic.NematicPlotNoQt.calculate_chi_tensor">
<span class="sig-name descname"><span class="pre">calculate_chi_tensor</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.calculate_chi_tensor" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.nematic.nematic.NematicPlotNoQt.create_fullmesh">
<span class="sig-name descname"><span class="pre">create_fullmesh</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">dat</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">mesh_name</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">'fullmesh'</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.create_fullmesh" title="Permalink to this definition">#</a></dt>
<dd><p>Calculation of nematic dataset information</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.nematic.nematic.NematicPlotNoQt.director_data_import">
<em class="property"><span class="pre">static</span><span class="w"> </span></em><span class="sig-name descname"><span class="pre">director_data_import</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">filename</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">sep</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">'\t'</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.director_data_import" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.nematic.nematic.NematicPlotNoQt.legacy_Qmin_import">
<span class="sig-name descname"><span class="pre">legacy_Qmin_import</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">Qtensor_filenames</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.legacy_Qmin_import" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.nematic.nematic.NematicPlotNoQt.n_from_Q">
<em class="property"><span class="pre">static</span><span class="w"> </span></em><span class="sig-name descname"><span class="pre">n_from_Q</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">Qmat</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.n_from_Q" title="Permalink to this definition">#</a></dt>
<dd><p>Get director from 3x3-matrix Q-tensor data</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.nematic.nematic.NematicPlotNoQt.post_init">
<span class="sig-name descname"><span class="pre">post_init</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.post_init" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.nematic.nematic.NematicPlotNoQt.pre_init">
<span class="sig-name descname"><span class="pre">pre_init</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">q0</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">data_format</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">do_auto_setup</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">reader</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">sep</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.pre_init" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.nematic.nematic.NematicPlotNoQt.set_Q">
<span class="sig-name descname"><span class="pre">set_Q</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">Q_data</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">mesh_name</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.set_Q" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.nematic.nematic.NematicPlotNoQt.set_director">
<span class="sig-name descname"><span class="pre">set_director</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">director_data</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">mesh_name</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.set_director" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.nematic.nematic.NematicPlotNoQt.set_q0">
<span class="sig-name descname"><span class="pre">set_q0</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">q0</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.set_q0" title="Permalink to this definition">#</a></dt>
<dd><p>set energetically preferred helicity and (re)calculate associated data fields</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.nematic.nematic.NematicPlotNoQt.setup_boundaries">
<span class="sig-name descname"><span class="pre">setup_boundaries</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">separate_meshes</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">False</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.setup_boundaries" title="Permalink to this definition">#</a></dt>
<dd><p>Isosurface for all boundaries collectively, as well as an
individual isosurface (invisible by default)
for each boundary</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.nematic.nematic.NematicPlotNoQt.setup_defects">
<span class="sig-name descname"><span class="pre">setup_defects</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.setup_defects" title="Permalink to this definition">#</a></dt>
<dd><p>Isosurface (with single value) of uniaxial order to visualize defects</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.nematic.nematic.NematicPlotNoQt.setup_director">
<span class="sig-name descname"><span class="pre">setup_director</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.setup_director" title="Permalink to this definition">#</a></dt>
<dd><p>Glyph representation of director on a plane controlled by a plane widget</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.nematic.nematic.NematicPlotNoQt.show_jones">
<span class="sig-name descname"><span class="pre">show_jones</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.nematic.NematicPlotNoQt.show_jones" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

</dd></dl>

</section>
</section>
</section>


              </div>
              
            </main>
            <footer class="footer-article noprint">
                
    <!-- Previous / next buttons -->
<div class='prev-next-area'>
</div>
            </footer>
        </div>
    </div>
    <div class="footer-content row">
        <footer class="col footer"><p>
  
    By Daniel Beller<br/>
  
      &copy; Copyright 2022, Daniel Beller.<br/>
</p>
        </footer>
    </div>
    
</div>


      </div>
    </div>
  
  <!-- Scripts loaded after <body> so the DOM is not blocked -->
  <script src="../../../../_static/scripts/pydata-sphinx-theme.js?digest=1999514e3f237ded88cf"></script>


  </body>
</html>